Subject: RE: VC project files for user-src? / sed
From: [email-masked] (Sergey Okhapkin)

21 Nov 1998 07:24:36 -0800
Message-ID: <01BE14E9.5C327A20.cygnus.gnu-win32@sos>
To: "[email-masked]" <[email-masked]>,
        "'John R. Murray'"
	 <[email-masked]>

John R. Murray wrote:
> I'm working on NT SP3 environment with VC6 and want to standardize on the 
Cygnus user tools (there are a variety of ported Unix command-line tools 
but everyone seems to use different flavors of regexps and it's frustrating 
to have to keep tweaking scripts). Today I'm especially interested in sed. 
Has anybody got VC makefiles/workspace/project files for sed or all of 
user-src?
>

I compiled b19 sed with msvc using the following makefile:

# Makefile for GNU SED, a batch editor.
# Copyright (C) 1987, 1991 Free 
Software Foundation, Inc.
# 
# This file is part of GNU SED.
# 
# GNU SED 
is free software; you can redistribute it and/or modify
# it under the 
terms of the GNU General Public License as published by
# the Free Software 
Foundation; either version 2, or (at your option)
# any later version.
# 
# 
GNU SED is distributed in the hope that it will be useful,
# but WITHOUT 
ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for 
more details.
# 
# You should have received a copy of the GNU General 
Public License
# along with GNU SED; see the file COPYING.  If not, write 
to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, 
USA.

#### Start of system configuration section. ####

CC = cl
CFLAGS = 
/Ox /MD
LDFLAGS = /MD

# Things you might add to DEFS:
# -DSTDC_HEADERS	If 
you have ANSI C headers and libraries.
# -DUSG			If you have System V/ANSI 
C string
#			and memory functions and headers.
# -D__CHAR_UNSIGNED__	If 
type `char' is unsigned.
#			gcc defines this automatically.
# 
-DNO_VFPRINTF		If you lack vprintf function (but have _doprnt).

DEFS = 
 -DSTDC_HEADERS=1 -DHAVE_STRING_H=1 -DHAVE_MEMCPY=1 
-D__CHAR_UNSIGNED__
LIBS = 

#### End of system configuration section. 
####

objs = sed.obj utils.obj rx.obj getopt.obj getopt1.obj 
alloca.obj
srcs = sed.c utils.c rx.c getopt.c getopt1.c alloca.c

all_objs= 
$(objs)
all:	sed.exe

..c.obj:
	$(CC) -c $(DEFS) $(CFLAGS) -I. 
$<

sed.exe:	$(all_objs)
	$(CC) $(LDFLAGS) -o $@ $(all_objs) 
$(LIBS)

sed.obj rx.obj: rx.h 
sed.obj getopt1.obj: getopt.h

clean:
	del 
/f sed.exe *.obj

--
Sergey Okhapkin, http://www.lexa.ru/sos
Piscataway, NJ

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".